# ResourceGroupConfig.Builder

Package io.milvus.common.resourcegroup

## Class ResourceGroupConfig.Builder

- java.lang.Object
- - io.milvus.common.resourcegroup.ResourceGroupConfig.Builder

Enclosing class:
  ResourceGroupConfig

    public static final class ResourceGroupConfig.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceGroupConfig` `build()`
`ResourceGroupConfig.Builder` `withFrom​(@NonNull java.util.List<ResourceGroupTransfer> from)` Set the transfer from list.
`ResourceGroupConfig.Builder` `withLimits​(@NonNull ResourceGroupLimit limits)`
`ResourceGroupConfig.Builder` `withRequests​(@NonNull ResourceGroupLimit requests)`
`ResourceGroupConfig.Builder` `withTo​(@NonNull java.util.List<ResourceGroupTransfer> to)` Set the transfer to list.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRequests

    public ResourceGroupConfig.Builder withRequests​(@NonNull
                                                    @NonNull ResourceGroupLimit requests)

#### withLimits

    public ResourceGroupConfig.Builder withLimits​(@NonNull
                                                  @NonNull ResourceGroupLimit limits)

#### withFrom

    public ResourceGroupConfig.Builder withFrom​(@NonNull
                                                @NonNull java.util.List<ResourceGroupTransfer> from)

Set the transfer from list.

Parameters:
  `from` -
Returns:

#### withTo

    public ResourceGroupConfig.Builder withTo​(@NonNull
                                              @NonNull java.util.List<ResourceGroupTransfer> to)

Set the transfer to list.

Parameters:
  `to` -
Returns:

#### build

    public ResourceGroupConfig build()